<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="DoxyPress 1.2.10"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Accessories: Member List</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="doxypress.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by DoxyPress -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Accessories
   </div>
   <div id="projectbrief">Arduino for motors and lights library.</div>
  </td>
   <td>        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
</td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by DoxyPress 1.2.10 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('classAccessoryBaseLight.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="headertitle">
<div class="title">AccessoryBaseLight Member List</div>  </div>
  <div class="clear-floats"></div>
</div><!--header-->
<div class="contents">

<p>This is the complete list of members for <a class="el" href="classAccessoryBaseLight.html">AccessoryBaseLight</a>, including all inherited members.</p>
<table class="directory">
  <tr class="even"><td class="entry"><a class="el" href="classAccessoryBaseLight.html#a88e2be8a90a47be58d0283ed8c6c973d">AccessoryBaseLight</a>(Accessory *inpOwner = 0)</td><td class="entry"><a class="el" href="classAccessoryBaseLight.html">AccessoryBaseLight</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>AccessoryLight</b> (defined in <a class="el" href="classAccessoryBaseLight.html">AccessoryBaseLight</a>)</td><td class="entry"><a class="el" href="classAccessoryBaseLight.html">AccessoryBaseLight</a></td><td class="entry"><span class="mlabels"><span class="mlabel">friend</span></span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>AccessoryLightMulti</b> (defined in <a class="el" href="classAccessoryBaseLight.html">AccessoryBaseLight</a>)</td><td class="entry"><a class="el" href="classAccessoryBaseLight.html">AccessoryBaseLight</a></td><td class="entry"><span class="mlabels"><span class="mlabel">friend</span></span></td></tr>
  <tr><td class="entry"><a class="el" href="classAccessoryBaseLight.html#accc565a1d92ad5f4fb05850f1390791b">Event</a>(ACCESSORIES_EVENT_TYPE inEvent = ACCESSORIES_EVENT_MOVEPOSITIONID, int inData = 0)</td><td class="entry"><a class="el" href="classAccessoryBaseLight.html">AccessoryBaseLight</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classAccessoryBaseLight.html#a1f57b9cf4b45b9bdc91fef927199b79c">GetPort</a>() const </td><td class="entry"><a class="el" href="classAccessoryBaseLight.html">AccessoryBaseLight</a></td><td class="entry"><span class="mlabels"><span class="mlabel">inline</span></span></td></tr>
  <tr><td class="entry"><a class="el" href="classAccessoryBaseLight.html#ac82a7a3b7ab0da4aefd959d03ba0ed4a">IsBlinking</a>() const </td><td class="entry"><a class="el" href="classAccessoryBaseLight.html">AccessoryBaseLight</a></td><td class="entry"><span class="mlabels"><span class="mlabel">inline</span></span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classAccessoryBaseLight.html#aa3b580656c99a87a7e88946f407e712d">IsFading</a>() const </td><td class="entry"><a class="el" href="classAccessoryBaseLight.html">AccessoryBaseLight</a></td><td class="entry"><span class="mlabels"><span class="mlabel">inline</span></span></td></tr>
  <tr><td class="entry"><a class="el" href="classAccessoryBaseLight.html#afdc391fd30e2632e64cd48cc64504f28">IsOn</a>() const </td><td class="entry"><a class="el" href="classAccessoryBaseLight.html">AccessoryBaseLight</a></td><td class="entry"><span class="mlabels"><span class="mlabel">inline</span></span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classAccessoryBaseLight.html#acce625a2eff7f353f1eec68a05177ac0">SetBlinking</a>(unsigned long inBlinkingDelay)</td><td class="entry"><a class="el" href="classAccessoryBaseLight.html">AccessoryBaseLight</a></td><td class="entry"><span class="mlabels"><span class="mlabel">inline</span></span></td></tr>
  <tr><td class="entry"><a class="el" href="classAccessoryBaseLight.html#a1e1a200e6f6e47e63d07059c91265a91">SetFading</a>(uint8_t inStep, uint8_t inDelay)</td><td class="entry"><a class="el" href="classAccessoryBaseLight.html">AccessoryBaseLight</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classAccessoryBaseLight.html#a26c343fd849b47aea637ef7f34c3270a">begin</a>(Port *inpPort, int inIntensity = 255, Accessory *inpOwner = 0)</td><td class="entry"><a class="el" href="classAccessoryBaseLight.html">AccessoryBaseLight</a></td><td class="entry"></td></tr>
</table></div><!-- contents -->
</div><!-- doc-content -->
<!-- Generated by DoxyPress 1.2.10 -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="footer">Generated on mer. oct. 18 2017 17:44:46 for Accessories &nbsp; by
    <a href="http://www.copperspice.com/documentation-doxypress.html">
    <img class="footer" src="doxypress.png" alt="DoxyPress"/></a> 1.2.10 </li>
  </ul>
</div>
</body>
</html>
